# Scheduler file where you can set commands to be performed in regular intervals or in particular time
# Enabled: (true/false) only schedulers which are enabled will be included
#   There can be 2 types, performed in regular time intervals (in seconds) or on particular time
# Delay: (number) defines how long to wait between each action, 600 means that actions will be performed every 10 minutes
# Randomize: (true/false) if set to true, then only one and random of defined commands will be used. Commands will not repeat untill all of them got used up. Usefull for repeating random announcements
# DuplicateRandomize: (true/false) if set to true, then only one and random of defined commands will be used. Commands might repeat. Usefull for repeating random announcements
# SingleLinear: (true/false) if set to true, then only one of defined commands will be used in a row without repeating until all of them have been executed. Usefull in cases when it needs to be shown in exact order one by one
# PerformOn: section will define particular times when perform commands. First of name should be defined and then additional time frames should be given
#   It can have: Month, Day, Hour, Minute, Second sections. All of them in number format and hours uses 24 hour format
#   Example
#   PerformOn:
#     FirstTimeFrame:
#       Hour: 4
#     SecondTimeFrame:
#       Hour: 22
#       Minute: 30
#   You can use week day names to indicate at which day in a week this sheduler should be performed. Example - Day: Monday
#   This will set commands to be performed on 4 a clock in morning and at 22:30. Good way to control server backups when there is less players online
# Repeat: (true/false) if set to false, action will be performed only once other wise it will be repeated all the time in intervals or on particular time
# MinPlayers: (amount) Will limit minimum player amount there should be online when command performe
# MinPlayersCommands: List of commands to be performed when online player amount is under specified limit
# MaxPlayers: (amount) Will skip scheduler if there is more than defined amount of players
# Feedback: (true/false) if set to false will not show feedback message in console in case there is not enough players to perform this schedule
# DontTranslatePlaceholders: (true/false) if set to true we will not translate placeholders inside commands before sending them to later processing
#   This defaults to false and placeholders will be translated before hand
#   Exception for delay! specialized command variable which always gets translated before hand
# Commands: List of commands to be performed when time is correct. 
#   If command starts with msg! and then player name is given, simple message will be sent to that player if he is online.
#   If command starts with broadcast! then message will be sent to everyone on server in simple manear
#   If command starts with actionbar! then all players will get action bar message defined after this variable
#   If command starts with title! then all players will get title message defined after this variable
#   If command starts with subtitle! then all players will get subtitle message defined after this variable
#   If command starts with kickall! then all players will be kicked from server with defined message. Usefull before server stop.
#   If command starts with perm:[permissionNode]! then command will get performed if player has permission node. This will not work when we don't know who is target player. In example: perm:cmi.announce.vip! broadcast! Hello vip guys
#   If command starts with moneycost:[amount]! then command will get performed if player has enough money. 
#   If command starts with expcost:[amount]! then command will get performed if player has enough exp.
#   If command starts with allPlayers! then command will get performed by using everyones who is online name. Command itself need to contain [allPlayers] to indicate where player name needs to be added
#   Insert line with 'delay! 5' to perform rest of commands after 5 seconds from scheduler trigger. This allows to create in example counter before server stop. Check example.
#   [randomPlayer] placeholder can be used to get random online player name who don't have cmi.scheduler.exclude permission node. This can be used to give rewards for random players on particular time. In example: - cmi give [randomPlayer] diamond %rand/1-5% will give rando mamount from 1 to 5 diamonds to random online player
# Supports PlaceHolderAPI variables
# More information about specialized commands can be found at https://www.zrips.net/cmi/commands/specialized/

GiveDiamonds:
  Enabled: false
  MinPlayers: 3
  FeedBack: true
  Repeat: true
  PerformOn:
    '1':
      Hour: 18
  Commands:
  - cmi give [randomPlayer] diamond %rand/1-5%
  - msg! [randomPlayer] &eYou just got diamonds!
StopServer:
  Enabled: false
  PerformOn:
    '1':
      Hour: 3
      Minute: 59
      Second: 30
  Commands:
  - actionbar! &eServer will stop in &630 &esec!
  - delay! 5
  - actionbar! &eServer will stop in &625 &esec!
  - delay! 5
  - actionbar! &eServer will stop in &620 &esec!
  - delay! 5
  - actionbar! &eServer will stop in &615 &esec!
  - delay! 5
  - actionbar! &eServer will stop in &610 &esec!
  - delay! 5
  - actionbar! &eServer will stop in &65 &esec!
  - delay! 1
  - actionbar! &eServer will stop in &64 &esec!
  - delay! 1
  - actionbar! &eServer will stop in &63 &esec!
  - delay! 1
  - actionbar! &eServer will stop in &62 &esec!
  - delay! 1
  - actionbar! &eServer will stop in &61 &esec!
  - delay! 1
  - kickall! &eServer will be back online soon!
  - delay! 1
  - stop
AllInOneJustExample:
  Enabled: false
  MinPlayers: 3
  MaxPlayers: 10
  FeedBack: false
  Delay: 600
  Repeat: true
  PerformOn:
    '1':
      Month: 12
      Day: monday
      Hour: 18
      Minute: 36
      Second: 15
    '2':
      Hour: 18
  Commands:
  - cmi give [randomPlayer] diamond %rand/1-5%
  - msg! [randomPlayer] &eYou just got diamonds!
  - broadcast! &e[randomPlayer] just got some stuff!
  - delay! 1
  - actionbar! &eServer will stop in &61 &esec!
  - kickall! &eServer will be back online soon!
Announcer:
  Enabled: false
  MinPlayers: 1
  FeedBack: false
  Delay: 600
  Repeat: true
  Randomize: true
  Commands:
  - broadcast! &eRules can be found at &e/rules
  - broadcast! &eKits can be accesed with &e/kits
  - broadcast! &eIf you need help, ask staff
  - broadcast! &eAdvertisement of other servers will be punished
